# Class ToolControlContribution

java.lang.Object
org.eclipse.jface.action.ContributionItem
org.eclipse.jface.action.ControlContribution
org.eclipse.e4.ui.workbench.renderers.swt.ToolControlContribution

All Implemented Interfaces:
  `IContributionItem`

public class ToolControlContribution extends ControlContribution

## Constructor Summary

Constructors
Constructor
Description
`ToolControlContribution()`

## Method Summary

Modifier and Type
Method
Description
`protected Control`
`createControl(Composite parent)`
Creates and returns the control for this contribution item under the given parent composite.
`void`
`setModel(MToolControl c)`

### Methods inherited from class ControlContribution

`computeWidth, fill, fill, fill, setVisible, update, update`

### Methods inherited from class ContributionItem

`dispose, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ToolControlContribution

public ToolControlContribution()

## Method Details

### createControl

protected Control createControl(Composite parent)
Description copied from class: `ControlContribution`
Creates and returns the control for this contribution item under the given parent composite.

This framework method must be implemented by concrete subclasses.

Specified by:
  `createControl` in class `ControlContribution`
Parameters:
  `parent` - the parent composite
Returns:
  the new control, must not be `null`

### setModel

public void setModel(MToolControl c)